/////////////////////////////////////////////////////////////////////////////
// Copyright (c) 1996, California Institute of Technology.  
// ALL RIGHTS RESERVED.   U.S. Government Sponsorship acknowledged. 
//
// Please read the full copyright notice in the file COPYRIGH 
// in this directory.
//
// Author: Todd Karakashian, NASA/Jet Propulsion Laboratory
//         Todd.K.Karakashian@jpl.nasa.gov
//
// $RCSfile: HDFFunction.cc,v $ - HDFFunction class implementation
//
// $Log: HDFFunction.cc,v $
// Revision 1.3  1997/03/10 22:45:23  jimg
// Update for 2.12
//
// Revision 1.4  1996/11/21 23:20:27  todd
// Added error return value to read() mfunc.
//
// Revision 1.3  1996/09/24 20:53:26  todd
// Added copyright and header.
//
//
/////////////////////////////////////////////////////////////////////////////

#include "HDFFunction.h"

HDFFunction::HDFFunction(const String &n = (char *)0) : Function(n) {}
HDFFunction::~HDFFunction() {}
BaseType *HDFFunction::ptr_duplicate() { return new HDFFunction(*this); }  
bool HDFFunction::read(const String &, int &err) { 
  set_read_p(true); err = -1; return false; 
}

Function *NewFunction(const String &n) { return new HDFFunction(n); }
