/////////////////////////////////////////////////////////////////////////////
// Copyright (c) 1996, California Institute of Technology.  
// ALL RIGHTS RESERVED.   U.S. Government Sponsorship acknowledged. 
//
// Please read the full copyright notice in the file COPYRIGH 
// in this directory.
//
// Author: Todd Karakashian, NASA/Jet Propulsion Laboratory
//         Todd.K.Karakashian@jpl.nasa.gov
//
// $RCSfile: HDFFunction.h,v $ - HDFFunction class declaration
//
// $Log: HDFFunction.h,v $
// Revision 1.3  1997/03/10 22:45:24  jimg
// Update for 2.12
//
// Revision 1.3  1996/09/24 20:53:26  todd
// Added copyright and header.
//
//
/////////////////////////////////////////////////////////////////////////////

#ifndef _HDFFUNCTION_H
#define _HDFFUNCTION_H

// STL/libg++ includes
#ifdef __GNUG__
#include <String.h>
#else
#include <bstring.h>
typedef string String;
#endif

// DODS includes
#include "Function.h"

class HDFFunction: public Function {
public:
    HDFFunction(const String &n = (char *)0);
    virtual ~HDFFunction();
    virtual BaseType *ptr_duplicate();
    virtual bool read(const String &, int &);
};

Function *NewFunction(const String &n);

typedef HDFFunction * HDFFunctionPtr;



#endif // _HDFFUNCTION_H

