/////////////////////////////////////////////////////////////////////////////
// Copyright (c) 1996, California Institute of Technology.  
// ALL RIGHTS RESERVED.   U.S. Government Sponsorship acknowledged. 
//
// Please read the full copyright notice in the file COPYRIGH 
// in this directory.
//
// Author: Todd Karakashian, NASA/Jet Propulsion Laboratory
//         Todd.K.Karakashian@jpl.nasa.gov
//
// $RCSfile: HDFList.h,v $ - HDFList classs declaration
//
// $Log: HDFList.h,v $
// Revision 1.3  1997/03/10 22:45:32  jimg
// Update for 2.12
//
// Revision 1.3  1996/09/24 20:53:26  todd
// Added copyright and header.
//
//
/////////////////////////////////////////////////////////////////////////////

#ifndef _HDFLIST_H
#define _HDFLIST_H

// STL/libg++ includes
#ifdef __GNUG__
#include <String.h>
#else
#include <bstring.h>
typedef string String;
#endif

// DODS includes
#include "List.h"

class HDFList: public List {
public:
    HDFList(const String &n = (char *)0, BaseType *v=0);
    virtual ~HDFList();
    virtual BaseType *ptr_duplicate();
    virtual bool read(const String &, int &);
};

List *NewList(const String &n, BaseType *v);

typedef HDFList * HDFListPtr;



#endif // _HDFLIST_H

